Bug 755066 (chromaprint) - Review Request: chromaprint - Library implementing the AcoustID fingerprinting
Summary: Review Request: chromaprint - Library implementing the AcoustID fingerprinting
Keywords:
Status: CLOSED ERRATA
Alias: chromaprint
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nikos Roussos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-18 17:51 UTC by Ismael Olea
Modified: 2011-12-21 17:09 UTC (History)
5 users (show)

Fixed In Version: chromaprint-0.5-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-12 22:03:24 UTC
Type: ---
comzeradd: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ismael Olea 2011-11-18 17:51:03 UTC
Spec URL: http://olea.org/tmp/chromaprint-rpms/chromaprint.spec
SRPM URL: http://olea.org/tmp/chromaprint-rpms/chromaprint-0.5-2.fc15.src.rpm

Description: 
Chromaprint library is the core component of the AcoustID project. It's a
client-side library that implements a custom algorithm for extracting
fingerprints from raw audio sources.

The library exposes a simple C API and the package also includes bindings for
the Python language. The documentation for the C API can be found in the main
header file.

Comment 1 Nikos Roussos 2011-12-04 20:54:51 UTC
Is there any reason why you use the %{__rm} macro. According to the Packaging Guidelines this should be avoided.

On the contrary you should use the %{__python} macro instead of python.

Comment 2 Ismael Olea 2011-12-05 18:06:27 UTC
Both things are fixed.


Uploading the updates: 
Spec URL: http://olea.org/tmp/chromaprint-rpms/chromaprint.spec
SRPM URL: http://olea.org/tmp/chromaprint-rpms/chromaprint-0.5-3.fc15.src.rpm

Comment 3 Nikos Roussos 2011-12-06 10:02:33 UTC
It seems ok. Here is the review

+: OK
-: must be fixed
=: should be fixed (at your discretion)
?: Question or clarification needed
N: not applicable

MUST:
[+] rpmlint output: shown in comment: none
[+] follows package naming guidelines
[+] spec file base name matches package name
[+] package meets the packaging guidelines
[+] package uses a Fedora approved license: LGPLv2+
[+] license field matches the actual license.
[+] license file is included in %doc: COPYING.txt
[+] spec file is in American English
[+] spec file is legible
[+] sources match upstream: md5sum matches
[+] package builds on at least one primary arch: Tested F16 x86_64
[N] appropriate use of ExcludeArch
[+] all build requirements in BuildRequires
[N] spec file handles locales properly
[+] ldconfig in %post and %postun
[+] no bundled copies of system libraries
[+] no relocatable packages
[+] package owns all directories that it creates
[+] no files listed twice in %files
[+] proper permissions on files
[+] consistent use of macros
[+] code or permissible content
[N] large documentation in -doc
[N] no runtime dependencies in %doc
[+] header files in -devel
[N] static libraries in -static
[+] .so in -devel
[+] -devel requires main package
[+] package contains no libtool archives
[N] package contains a desktop file, uses desktop-file-install/validate
[+] package does not own files/dirs owned by other packages
[+] all filenames in UTF-8

SHOULD:
[N] query upstream for license text
[=] description and summary contains available translations
[+] package builds in mock
[=] package builds on all supported arches: Tested x86_64
[+] package functions as described: 
[N] sane scriptlets
[+] subpackages require the main package
[+] placement of pkgconfig files
[+] file dependencies versus package dependencies
[N] package contains man pages for binaries/scripts

*** APPROVED ***

Comment 4 Christoph Wickert 2011-12-06 10:16:32 UTC
Requires:       libchromaprint = %{version}-%{release}

should be

Requires:       libchromaprint%{?_isa} = %{version}-%{release}

See https://fedoraproject.org/wiki/Packaging:Guidelines#Requires

Comment 5 Christoph Wickert 2011-12-06 10:22:49 UTC
%{__python} setup.py install --root=%{buildroot}

should be

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

The rest looks good to me.

Comment 6 Christoph Wickert 2011-12-06 10:24:19 UTC
Nikos, please don't forget to set a review to "assigned" when you take it over and to set "fedora-review+" when you are done.

Comment 7 Nikos Roussos 2011-12-06 10:35:06 UTC
Sorry Christoph, you 're right!

Comment 8 Ismael Olea 2011-12-07 17:27:53 UTC
@Christoph: Just added your suggestions.

Thanks both!

Comment 9 Ismael Olea 2011-12-07 17:30:37 UTC
New Package SCM Request
=======================
Package Name: chromaprint
Short Description: Library implementing the AcoustID fingerprinting
Owners: olea
Branches: f15 f16
InitialCC:

Comment 10 Gwyn Ciesla 2011-12-07 17:47:16 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2011-12-09 21:24:43 UTC
chromaprint-0.5-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/chromaprint-0.5-4.fc15

Comment 12 Fedora Update System 2011-12-09 21:24:55 UTC
chromaprint-0.5-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/chromaprint-0.5-4.fc16

Comment 13 Fedora Update System 2011-12-11 21:49:46 UTC
chromaprint-0.5-4.fc15 has been pushed to the Fedora 15 testing repository.

Comment 14 Fedora Update System 2011-12-12 22:03:24 UTC
chromaprint-0.5-4.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2011-12-21 17:09:34 UTC
chromaprint-0.5-4.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.